/* COPYRIGHT (C) 1990, 1992 Aladdin Enterprises.  All rights reserved.
   Distributed by Free Software Foundation, Inc.
   
   This file is part of Ghostscript.
   
   Ghostscript is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility
   to anyone for the consequences of using it or for whether it serves any
   particular purpose or works at all, unless he says so in writing.  Refer
   to the Ghostscript General Public License for full details.
   
   Everyone is granted permission to copy, modify and redistribute
   Ghostscript, but only under the conditions described in the Ghostscript
   General Public License.  A copy of this license is supposed to have been
   given to you along with Ghostscript so you can know your rights and
   responsibilities.  It should be in a file named COPYING.  Among other
   things, the copyright notice and this notice must be preserved on all
   copies.  */

#ifndef gdevgppr_h_INCLUDED
#define gdevgppr_h_INCLUDED

#ifndef __HAVE_GP_PRINTER_FUNCTIONS__
#if defined(MSDOS) && defined(__GNUC__)
/* For DJ's GPP platform (Use gp_djgpp.c) */
# define __HAVE_GP_PRINTER_FUNCTIONS__
#endif
#endif /* !__HAVE_GP_PRINTER_FUNCTIONS__ */

#ifdef __HAVE_GP_PRINTER_FUNCTIONS__
#include "std.h"

#undef putc
#define putc(c,f)  gp_printer_putc(c,f)
#define fputc(c,f) gp_printer_putc(c,f)
#define fputs(s,f) gp_printer_puts(s,f)
#define fwrite(b,s,c,f) gp_printer_write(b,s,c,f)
#define fprintf  gp_printer_printf
#define fflush(f) gp_printer_flush(f)

extern int gp_printer_putc(P2(int,FILE *));
extern int gp_printer_flush(P1(FILE *));
extern int gp_printer_puts(P2(const char *,FILE *));
extern int gp_printer_write(P4(const void *,int, int, FILE *));
extern int gp_printer_printf(P3(FILE *,const char *, ...));
#endif /* __HAVE_GP_PRINTER_FUNCTIONS__ */

#endif /* !gdevgppr_h_INCLUDED */
