/* COPYRIGHT (C) 1990, 1992 Aladdin Enterprises.  All rights reserved.
   Distributed by Free Software Foundation, Inc.
   
   This file is part of Ghostscript.
   
   Ghostscript is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility
   to anyone for the consequences of using it or for whether it serves any
   particular purpose or works at all, unless he says so in writing.  Refer
   to the Ghostscript General Public License for full details.
   
   Everyone is granted permission to copy, modify and redistribute
   Ghostscript, but only under the conditions described in the Ghostscript
   General Public License.  A copy of this license is supposed to have been
   given to you along with Ghostscript so you can know your rights and
   responsibilities.  It should be in a file named COPYING.  Among other
   things, the copyright notice and this notice must be preserved on all
   copies.  */

/* gp_djgpp.h */

#ifndef gp_djgpp_INCLUDED
#define gp_djgpp_INCLUDED

#define gp_djgpp_identify_proc(f) int f(int)
#define gp_djgpp_open_console_proc(f) int f(int)
#define gp_djgpp_close_console_proc(f) int f(int)
#define gp_djgpp_open_printer_proc(f) int f(int,int)
#define gp_djgpp_close_printer_proc(f) int f(int,int)
#define gp_djgpp_alloc_buffer_proc(f) byte * f(int,int)
#define gp_djgpp_free_buffer_proc(f) void f(byte *,int)
#define gp_djgpp_flush_printer_proc(f) int f(byte *,int)

typedef struct {
  int target;
  int (*identify_proc)(int);
  int (*open_console_proc)(int);
  int (*close_console_proc)(int);
  int (*open_printer_proc)(int,int);
  int (*close_printer_proc)(int,int);
  byte *(*alloc_buffer_proc)(int,int);
  void (*free_buffer_proc)(byte *,int);
  int (*flush_port_proc)(byte *,int);
  int (*flush_bios_proc)(byte *,int);
} gp_djgpp_system_procs;

enum {
  gp_printer_to_port,
  gp_printer_to_port1,
  gp_printer_to_port2,
  gp_printer_to_port3,
  gp_printer_to_bios,
  gp_printer_to_bios1,
  gp_printer_to_bios2,
  gp_printer_to_bios3,
  gp_printer_to_stdprn,
  gp_printer_to_count,
};

#endif /* gp_djgpp_INCLUDED */
